This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 175999 - Start sampling profiler when GoToType takes too long
Summary: Start sampling profiler when GoToType takes too long
Status: RESOLVED FIXED
Alias: None
Product: utilities
Classification: Unclassified
Component: Jump To (show other bugs)
Version: 5.x
Hardware: All All
: P3 blocker (vote)
Assignee: Pavel Flaska
URL:
Keywords:
Depends on:
Blocks: 177274
  Show dependency tree
 
Reported: 2009-11-04 10:43 UTC by Pavel Flaska
Modified: 2009-11-27 03:30 UTC (History)
0 users

See Also:
Issue Type: DEFECT
Exception Reporter:


Attachments
Patch (7.09 KB, patch)
2009-11-04 11:26 UTC, Pavel Flaska
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pavel Flaska 2009-11-04 10:43:03 UTC
Start self-profiling when provider takes too long. - It will work in the same way as slowness detector.
Comment 1 Pavel Flaska 2009-11-04 11:26:08 UTC
Created attachment 90483 [details]
Patch
Comment 2 Quality Engineering 2009-11-26 19:32:18 UTC
Integrated into 'main-golden', will be available in build *200911261400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/efd62a072dae
User: Pavel Flaska <pflaska@netbeans.org>
Log: #175999: Adding sampling to GoToType when it took more than 3s